Package ghidra.app.util.opinion

# Class MSCoffLoader

java.lang.Object
ghidra.app.util.opinion.AbstractProgramLoader
ghidra.app.util.opinion.AbstractLibrarySupportLoader
ghidra.app.util.opinion.CoffLoader
ghidra.app.util.opinion.MSCoffLoader

All Implemented Interfaces:
  `Loader`, `ExtensionPoint`, `Comparable<Loader>`

public class MSCoffLoader extends CoffLoader

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.util.opinion.AbstractLibrarySupportLoader

  `AbstractLibrarySupportLoader.FileSystemSearchPath`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MSCOFF_NAME`

  ### Fields inherited from class ghidra.app.util.opinion.CoffLoader

  `COFF_NAME, FAKE_LINK_OPTION_NAME`

  ### Fields inherited from class ghidra.app.util.opinion.AbstractLibrarySupportLoader

  `DEPTH_OPTION_NAME, LIBRARY_DEST_FOLDER_OPTION_NAME, LINK_EXISTING_OPTION_NAME, LINK_SEARCH_FOLDER_OPTION_NAME, LOCAL_LIBRARY_OPTION_NAME, SYSTEM_LIBRARY_OPTION_NAME`

  ### Fields inherited from class ghidra.app.util.opinion.AbstractProgramLoader

  `ANCHOR_LABELS_OPTION_NAME, APPLY_LABELS_OPTION_NAME`

  ### Fields inherited from interface ghidra.app.util.opinion.Loader

  `COMMAND_LINE_ARG_PREFIX, OPTIONS_PROJECT_SAVE_STATE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MSCoffLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the `Loader`'s name, which is used both for display purposes, and to identify the `Loader` in the opinion files.
  `protected boolean`
  `isCaseInsensitiveLibraryFilenames()`
  Specifies if the library filenames specified by this loader should be exact case match or case-insensitive.
  `boolean`
  `isMicrosoftFormat()`

  ### Methods inherited from class ghidra.app.util.opinion.CoffLoader

  `findSupportedLoadSpecs, getDefaultOptions, load, validateOptions`

  ### Methods inherited from class ghidra.app.util.opinion.AbstractLibrarySupportLoader

  `createLibraryByteProvider, getCustomLibrarySearchPaths, getLibraryDestinationFolderPath, getLibraryDestinationSearchFolder, getLibraryLoadDepth, getLinkSearchFolder, getTier, getTierPriority, isLinkExistingLibraries, isLoadLocalLibraries, isLoadSystemLibraries, isOptionalLibraryFilenameExtensions, loadProgram, loadProgramInto, matchSupportedLoadSpec, postLoadProgramFixups, processLibrary, resolveLibraryFile, shouldLoadLibrary, shouldSearchAllPaths`

  ### Methods inherited from class ghidra.app.util.opinion.AbstractProgramLoader

  `concatenatePaths, createDefaultMemoryBlocks, createProgram, generateBlockName, getLanguageService, load, loadInto, markAsFunction, postLoadCleanup, release, setProgramProperties, shouldApplyProcessorLabelsByDefault`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.opinion.Loader

  `compareTo, getPreferredFileName, loadsIntoNewFolder, supportsLoadIntoProgram, supportsLoadIntoProgram`

- ## Field Details

  - ### MSCOFF_NAME

    public static final String MSCOFF_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MSCoffLoader

    public MSCoffLoader()

- ## Method Details

  - ### isMicrosoftFormat

    public boolean isMicrosoftFormat()
    Overrides:
      `isMicrosoftFormat` in class `CoffLoader`
    Returns:
      true if this loader assumes the Microsoft variant of the COFF format

  - ### getName

    public String getName()
    Description copied from interface: `Loader`
    Gets the `Loader`'s name, which is used both for display purposes, and to identify the `Loader` in the opinion files.
    Specified by:
      `getName` in interface `Loader`
    Overrides:
      `getName` in class `CoffLoader`
    Returns:
      The `Loader`'s name.

  - ### isCaseInsensitiveLibraryFilenames

    protected boolean isCaseInsensitiveLibraryFilenames()
    Description copied from class: `AbstractLibrarySupportLoader`
    Specifies if the library filenames specified by this loader should be exact case match or case-insensitive.

    Derived loader classes should override this method and specify if the OS that normally handles this type of binary is case-insensitive.

    Overrides:
      `isCaseInsensitiveLibraryFilenames` in class `AbstractLibrarySupportLoader`
    Returns:
      True if case-insensitive or false if case-sensitive.